apiVersion: networking.istio.io/v1alpha3
kind: VirtualService
metadata:
  namespace: workshop
  name: database
spec:
  hosts:
    - database
  http:
    - route:
        - destination:
            host: database
            subset: version-1
      retries:
        attempts: 5
        perTryTimeout: 1s